context("Summary method")

test_that("Summary should return source and integrated
          distributions' statistics", {
  # Act
  summary <- summary(
    distribution_table(
      c(1, 2),
      list(c(0.5, 0.5), c(0.25, 0.75), c(0.25, 0.75))))

  # Assert
  expect_that(
    all.equal(
      summary,
      data.frame(Product = c(1.9, 0.3),
                 Average = c(5 / 3, sqrt(2) / 3),
                 row.names = c("mean", "std"))),
    is_true())
})
