context("Average method")

test_that("Average distribution should be calculated", {
  # Act
  product1 <- average(
    distribution_table(
      c(1, 2),
      list(c(0.2, 0.8), c(0.6, 0.4))))
  product2 <- average(
    distribution_table(
      c(1, 2),
      list(c(0.1, 0.9), c(0.6, 0.4), c(0.4, 0.6))))

  # Assert
  expect_that(
    all.equal(product1, data.frame(x = c(1, 2), prob = c(0.4, 0.6))),
    is_true())
  expect_that(
    all.equal(product2, data.frame(x = c(1, 2), prob = c(11 / 30, 19 / 30))),
    is_true())
})
